## PkClientHelper

PkClientHelper — helper object to run a helper session process for the lifetime of a transaction

## Functions

PkClientHelper * | pk_client_helper_new ()
gboolean | pk_client_helper_stop ()
gboolean | pk_client_helper_start ()

## Description

This GObject can be used to run a session helper program out of band with the normal PackageKit transaction. This allows an external program such as debconf to be used that needs direct console access.

client ----> packagekit-glib ---> dbus ---> packagekitd ---> apt .------------^ ^ debconf ___________________ (SetHints) | | ___| PkClientHelper __.____.____.______/_.____.____.__/ ^-----|___________________/ (socket in tmp) (stdin & stdout )

------------.------------------/ ------------.---------/ | | user session system context

## Functions

### pk_client_helper_new ()

    PkClientHelper *
    pk_client_helper_new (void);

#### Returns

a new PkClientHelper object.

Since: 0.6.10

### pk_client_helper_stop ()

    gboolean
    pk_client_helper_stop (PkClientHelper *client_helper,
                           GError **error);

Stops the helper process, by killing the helper process and deleting the socket.

#### Parameters

client_helper | a valid PkClientHelper instance |
error | A GError or `NULL` |

#### Returns

`TRUE` for success

Since: 0.6.10

### pk_client_helper_start ()

    gboolean
    pk_client_helper_start (PkClientHelper *client_helper,
                            const gchar *socket_filename,
                            gchar **argv,
                            gchar **envp,
                            GError **error);

Starts the helper process, by running the helper process and setting up the socket for use.

#### Parameters

client_helper | a valid PkClientHelper instance |
socket_filename | a socket filename that does not already exist |
argv | the executable, along with any arguments |
envp | the environment |
error | A GError or `NULL` |

#### Returns

`TRUE` for success

Since: 0.6.10